Subject: Re: BUG: merge -s theirs is not in effect (does the same as -s ours)

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Sep 2017 10:08:18 +0900

Yaroslav Halchenko <[email-masked]> writes:

> My interest was to get remote branch "merge" the changes in the
> branch taking the branch's version (primarily alternative symlinks
> for git-annex'ed content) over the version in master (previous
> merge of a similar branch).  Unfortunately -s theirs seems to do
> actually -s ours

What does

    ls $(git --exec-path) | grep git-merge

say?  

The official Git never shipped "git-merge-theirs" as far as I know,
and it should not exist (neither should "git merge -s theirs"; you
can use "git reset --hard theirs" instead).